<template>
	<div class="top-menu">
		<div class="top-menu__wrapper">
			<div class="row">
				<div class="columns"
				     :class="{seven: $route.meta.section === 'pos', ten: $route.meta.section !== 'pos'}">
					<svg class="avatar">
						<use xlink:href="#placeholder-avatar"/>
					</svg>
					<div class="text">
						<strong>{{ $user.userInicial }}</strong><br/>
						Ваш логин: {{ $user.login }}
					</div>
				</div>
				<city-choice v-if="$route.meta.section === 'pos'" class="columns three"></city-choice>
				<div class="columns two right">
					<message-bell></message-bell>
				</div>
			</div>
		</div>
	</div>
</template>

<script>
	import MessageBell from './MessageBell';
	import CityChoice from './CityChoice';
	
	export default {
		name: 'top-menu',
		components: {
			MessageBell,
			CityChoice
		}
	}
</script>

<style lang="scss" scoped>
	@import "./../../../static/css/mixins/main";
	
	.top-menu {
		position: relative;
		z-index: 1;
		
		&__wrapper {
			@include size(95%);
			max-width: 1370px;
		}
	}
	
	.columns {
		display: flex;
		align-items: center;
		
		&.right {
			justify-content: flex-end;
		}
	}
	
	.avatar {
		width: 60px;
		height: 60px;
	}
</style>
